summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Niki Kovacs <contact@kikinovak.net>2010-05-11 20:01:09 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:09 +0200
commitf3c1559f6816b3de1108ee1fe1368009d57016e4 (patch)
tree0df7a8010363b6f554c4d4156d5c8333f05b0872 /misc
parentaf6d6c5867121e2590d4c8dbe31abaccffda013b (diff)
downloadslackbuilds-f3c1559f6816b3de1108ee1fe1368009d57016e4.tar.gz
slackbuilds-f3c1559f6816b3de1108ee1fe1368009d57016e4.tar.xz
misc/recode: Added to 12.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/recode/README5
-rw-r--r--misc/recode/patches/debian-edited-recode_3.6-12.diff.bz2bin0 -> 43438 bytes
-rw-r--r--misc/recode/patches/ubuntu-edited-recode_3.6-14ubuntu1.patch.bz2bin0 -> 280 bytes
-rw-r--r--misc/recode/recode.SlackBuild80
-rw-r--r--misc/recode/recode.info8
-rw-r--r--misc/recode/slack-desc19
6 files changed, 112 insertions, 0 deletions
diff --git a/misc/recode/README b/misc/recode/README
new file mode 100644
index 0000000000..ea9fd353e8
--- /dev/null
+++ b/misc/recode/README
@@ -0,0 +1,5 @@
+The recode program recognizes or produces approximately 150 character sets
+and can convert almost any character set to almost any other. When exact
+translations are not possible, the program may get rid of offending characters
+or use approximations. Particular attention has been paid to the proper
+representation of French language diacritics.
diff --git a/misc/recode/patches/debian-edited-recode_3.6-12.diff.bz2 b/misc/recode/patches/debian-edited-recode_3.6-12.diff.bz2
new file mode 100644
index 0000000000..b2d4511ac6
--- /dev/null
+++ b/misc/recode/patches/debian-edited-recode_3.6-12.diff.bz2
Binary files differ
diff --git a/misc/recode/patches/ubuntu-edited-recode_3.6-14ubuntu1.patch.bz2 b/misc/recode/patches/ubuntu-edited-recode_3.6-14ubuntu1.patch.bz2
new file mode 100644
index 0000000000..fb3f049dec
--- /dev/null
+++ b/misc/recode/patches/ubuntu-edited-recode_3.6-14ubuntu1.patch.bz2
Binary files differ
diff --git a/misc/recode/recode.SlackBuild b/misc/recode/recode.SlackBuild
new file mode 100644
index 0000000000..7c5cafa4c4
--- /dev/null
+++ b/misc/recode/recode.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Copyright (c) 2007 Niki Kovacs <contact@kikinovak.net>
+#
+# By: Niki Kovacs <contact@kikinovak.net>
+# For: recode
+# URL: ftp://ftp.gnu.org/pub/gnu/recode/
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+# Further small mods by Richard Hoyle <hoyle.richard@gmail.com>
+
+PRGNAM=recode
+VERSION=3.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# Some important fixes from debian and ubuntu.
+# We normally don't like this idea, as it puts us maintaining the upstream
+# sources, but in this case, we'll make an exception.
+# I *really* don't like the non-bugfix parts of the debian patch, but I
+# guess I'll let it slide --rworkman
+for patch in $CWD/patches/* ; do
+ bzcat $patch | patch -p1 --verbose --backup || exit 1
+done
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-static=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS BACKLOG COPYING* NEWS PATCHES-AC README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/recode/recode.info b/misc/recode/recode.info
new file mode 100644
index 0000000000..c46170413f
--- /dev/null
+++ b/misc/recode/recode.info
@@ -0,0 +1,8 @@
+PRGNAM="recode"
+VERSION="3.6"
+HOMEPAGE="http://directory.fsf.org/project/recode/"
+DOWNLOAD="ftp://ftp.gnu.org/pub/gnu/recode/recode-3.6.tar.gz"
+MD5SUM="be3f40ad2e93dae5cd5f628264bf1877"
+MAINTAINER="Niki Kovacs"
+EMAIL="contact@kikinovak.net"
+APPROVED="rworkman"
diff --git a/misc/recode/slack-desc b/misc/recode/slack-desc
new file mode 100644
index 0000000000..93c6947b07
--- /dev/null
+++ b/misc/recode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+recode: Charset converter
+recode:
+recode: The recode program recognizes or produces approximately 150 character
+recode: sets and can convert almost any character set to almost any other.
+recode: When exact translations are not possible, the program may get rid of
+recode: offending characters or use approximations. Particular attention has
+recode: been paid to the proper representation of French language diacritics.
+recode:
+recode: Project homepage: http://directory.fsf.org/project/recode/
+recode:
+recode: